พิกเซล
GET https://tistos.com/api/pixels/
curl --request GET \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| search | ทางเลือก สตริง | สตริงการค้นหา |
| search_by | ทางเลือก สตริง | คุณกำลังค้นหาด้วยฟิลด์ใด ค่าอนุญาตคือ: name, pixel. |
| type | ทางเลือก สตริง | ค่าที่อนุญาต: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | ทางเลือก สตริง | ค่าที่อนุญาต: datetime, last_datetime |
| datetime_start | ทางเลือก สตริง | กรองผลลัพธ์เริ่มต้นจากวันที่และเวลานี้ รูปแบบ Y-m-d H:i:s |
| datetime_end | ทางเลือก สตริง | กรองผลลัพธ์จนถึงวันที่และเวลานี้ รูปแบบ Y-m-d H:i:s |
| order_by | ทางเลือก สตริง | ฟิลด์ใดที่ต้องการเรียงลำดับผลลัพธ์ ค่าอนุญาตคือ: pixel_id, datetime, last_datetime, name. |
| order_type | ทางเลือก สตริง | การจัดเรียงผลลัพธ์ ค่าที่อนุญาตคือ: ASC สำหรับการจัดเรียงจากน้อยไปมาก และ DESC สำหรับการจัดเรียงจากมากไปน้อย |
| page | ทางเลือก จำนวนเต็ม | หมายเลขหน้าที่คุณต้องการผลลัพธ์จาก ค่าเริ่มต้นคือ 1. |
| results_per_page | ทางเลือก จำนวนเต็ม | คุณต้องการผลลัพธ์กี่รายการต่อหน้า ค่าที่อนุญาตคือ: 10, 25, 50, 100, 250, 500, 1000 ค่าเริ่มต้นคือ 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 15:09:22",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/pixels?page=1",
"last": "https://tistos.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/pixels?page=1"
}
}
GET https://tistos.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 15:09:22",
}
}
POST https://tistos.com/api/pixels
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| type | จำเป็น สตริง | ค่าที่อนุญาต: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | จำเป็น สตริง | - |
| pixel | จำเป็น สตริง | - |
curl --request POST \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/pixels/{pixel_id}
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| type | ทางเลือก สตริง | ค่าที่อนุญาต: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | ทางเลือก สตริง | - |
| pixel | ทางเลือก สตริง | - |
curl --request POST \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \